
    <div class="main--body">
    <div class="align-center login--card">
    <div class="align-center">
    <h1>Sign Up</h1>
    <div class="form-container login-form" >
        <form class="signUp-form" [formGroup]="signUpForm" class="flex-column">
        <mat-form-field>
            <mat-label>Name</mat-label>
            <input formControlName="name" matInput type="text" required/>
            <mat-error 
            *ngIf="signUpForm.get('name')?.errors && signUpForm.get('name')?.hasError('required')"
            >Name must not be empty</mat-error>
        </mat-form-field>
        <mat-form-field>
            <mat-label>Email</mat-label>
            <input formControlName="email" matInput type="email" required/>
            <mat-error 
            *ngIf="signUpForm.get('email')?.errors && signUpForm.get('email')?.hasError('required')"
            >Email must not be empty</mat-error>
            <mat-error 
            *ngIf="signUpForm.get('email')?.errors && signUpForm.get('email')?.hasError('email')"
            >Please enter a valid email</mat-error>
        </mat-form-field>
        <mat-form-field>
            <mat-label>User Name</mat-label>
            <input formControlName="userName" matInput type="text" required/>
            <mat-error 
            *ngIf="signUpForm.get('userName')?.errors && signUpForm.get('userName')?.hasError('required')"
            >User Name must not be empty</mat-error>
        </mat-form-field>
        <mat-form-field>
            <mat-label>Password</mat-label>
            <!-- <input formControlName="password" matInput type="password" /> -->
            <input matInput [type]="hide ? 'password' : 'text'" formControlName="password" required>
            <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
            <mat-error 
            *ngIf="signUpForm.get('password')?.errors && signUpForm.get('password')?.hasError('required')"
            >Password must not be empty</mat-error>
        </mat-form-field>
        <mat-form-field>
            <mat-label>Confirm Password</mat-label>
            <!-- <input formControlName="confirmPassword" matInput type="password" /> -->
            <input matInput [type]="hide2 ? 'password' : 'text'" formControlName="confirmPassword" required>
            <mat-icon matSuffix (click)="hide2 = !hide2">{{hide2 ? 'visibility_off' : 'visibility'}}</mat-icon>
            <mat-error 
            *ngIf="signUpForm.get('confirmPassword')?.errors && signUpForm.get('confirmPassword')?.hasError('required')"
            >Confirm password must not be empty</mat-error>
        </mat-form-field>
        <div class="form--btn">
            <button mat-flat-button color="primary" (click)="handleSubmit()">Submit</button>
        </div>
        <mat-error *ngIf="showPasswordErr">Passwords doesn't match</mat-error>
        <mat-error *ngIf="showEmailExistErr">This email already exists try login</mat-error>
        </form>
        <a class="link" [routerLink]="['/login']">Have an account try login</a>
    </div>
    </div>
    </div>
